Bug 1296985 - task order
task order
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
Martin Kudlej
:
: 1314252 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 10:47 EST by Martin Kudlej
Modified: 2016-11-13 19:05 EST (History)
5 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of Tasks page with running Create Cluster task (96.69 KB, image/png)
2016-01-18 08:08 EST, Martin Bukatovic
no flags Details

  None (edit)
Description Martin Kudlej 2016-01-08 10:47:48 EST
Description of problem:
If any task failed it is not add to top of list but into middle in my
case.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.4-0.2.alpha1.el7.noarch
rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64

How reproducible:
I think that 100%

Steps to Reproduce:
1. make sme successfull tasks
2. make some failing tasks
3. check task list

Actual results:
Failing tasks are not placed to top of task list.

Expected results:
Failing tasks are placed to top of task list.

Additional info:
List of tasks with order:
7. Expand Cluster: fa820cc0-b27f-4e93-a0cd-482d60ebfeb3 Success
6. Create Cluster: iii Success
10. Create Storage: pool110 Failed
9. Create Storage: pol10 Failed
8. Create Storage: pool10 Failed
4. Accept Node: usm1-node3.novalocal Success
3. Accept Node: usm1-node4.novalocal Success
2. Accept Node: usm1-node2.novalocal Success
1. Accept Node: usm1-node1.novalocal Success
Comment 1 Martin Bukatovic 2016-01-18 08:08 EST
Created attachment 1115848 [details]
screenshot of Tasks page with running Create Cluster task

Additional information
======================

The random order of tasks in not related to failed tasks only.

When I retried and checked currently running "Create Cluster" task,
I saw it somewhere in the middle already. At that point, it was not
clear if it will fail or succeed.

See attached screenshot. Note that there seems to be no apparent order
of task items at all.
Comment 2 Martin Bukatovic 2016-01-19 09:29:20 EST
Additional information
======================

I have also noticed in another case that 1st the order was ok (last create cluster task was on the 1st place), but then next time I checked Tasks page,
I noticed that the same task was on 3rd place (in the middle) instead.
Comment 4 Kanagaraj 2016-03-03 05:10:14 EST
*** Bug 1314252 has been marked as a duplicate of this bug. ***
Comment 5 Matt Carrano 2016-03-11 16:03:02 EST
Running (in progress) tasks should always be shown at the top of the list.  Other tasks are listed chronologically based on completion time.
Comment 7 Martin Kudlej 2016-07-22 02:41:40 EDT
Tested with 
ceph-ansible-1.0.5-27.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ui-0.0.48-1.el7scon.noarch
and it works.

Note You need to log in before you can comment on or make changes to this bug.